List a project's people
curl --request GET \
--url https://codecobra.ai/api/projects/{project_id}/peopleimport requests
url = "https://codecobra.ai/api/projects/{project_id}/people"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://codecobra.ai/api/projects/{project_id}/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"email": "<string>",
"is_org_member": true,
"is_owner": true,
"source": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"effective_role": "<string>",
"effective_role_color": "<string>",
"effective_role_name": "<string>",
"hidden_reason": "<string>",
"is_active": true,
"name": "<string>",
"org_role": "<string>",
"org_role_color": "<string>",
"org_role_name": "<string>",
"project_role": "<string>",
"project_role_color": "<string>",
"project_role_name": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Projects
List a project's people
Everyone who can open this project — every member of its workspace plus outside collaborators — with the role each acts with here and where it comes from: their workspace role (org), a role set for them on this project (override), or an outside collaborator’s project role (collaborator).
GET
/
api
/
projects
/
{project_id}
/
people
List a project's people
Path Parameters
Response
Successful Response